=== wxLua/modules/wxlua/CMakeLists.txt ===
project( wxLua_Modules_wxLua )

wxLua_Modules_wxLua_TARGETS()
