=== wxLua/modules/wxlua/debug/CMakeLists.txt ===
project( wxLua_Modules_wxLua_Debug )

wxLua_Modules_wxLua_Debug_TARGETS()
