=== wxLua/modules/wxlua/debugger/CMakeLists.txt ===
project( wxLua_Modules_wxLua_Debugger )

wxLua_Modules_wxLua_Debugger_TARGETS()
