=== debian/changelog ===
rehex (0.5.4-0~ubuntu1804) bionic; urgency=low

  * Allow passing arguments to structs created via ArrayResize() and
    ArrayExtend() template functions.

  * Fix parsing of whitespace in template array dereference (#175).

  * Display offsets in comments panel (#165).

  * Don't show expand arrows next to comments without children in comments
    panel on Windows/macOS.

  * Improve performance of templates that declare many (thousands+) of
    variables in the file.

  * Add Error() function for templates (#186).

  * Fix crash when attempting to use string as a file variable in
    templates (#185).

  * [Pavel Martens] Add plugin for annotating pcap files.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sun, 23 Oct 2022 22:52:11 +0100

rehex (0.5.3-0~ubuntu1804) bionic; urgency=low

  * Correctly nest comments when updating comments panel (#169).

  * Update text in comments panel when a comment is modified.

  * Fix display of >4GiB virtual offsets in files that are <=4GiB (#170).

  * Add support for code page 437 (IBM) and 932/936/949/950 (Microsoft).

  * Fix handling of multibyte character boundaries in document view.

  * Draw wide characters in document view (#173).

  * Move forwards/backwards and select whole instructions from disassembly
    in document view.

  * Don't capture tab key press in text area of document view.

  * Add missing error checks.

  * Add number base option to "Jump to offset" dialog.

  * Drawing optimisations (improves responsiveness), particularly on macOS.

  * Fix some undefined behaviour issues.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sat, 25 Jun 2022 17:51:36 +0100

rehex (0.5.2-0~ubuntu1804) bionic; urgency=low

  * Correctly nest comments when updating comments panel (#169).

  * Update text in comments panel when a comment is modified.

  * Fix display of >4GiB virtual offsets in files that are <=4GiB (#170).

  * Add support for code page 437 (IBM) and 932/936/949/950 (Microsoft).

  * Fix handling of multibyte character boundaries in document view.

  * Draw wide characters in document view (#173).

  * Move forwards/backwards and select whole instructions from disassembly
    in document view.

  * Don't capture tab key press in text area of document view.

  * Add missing error checks.

  * Add number base option to "Jump to offset" dialog.

  * Drawing optimisations (improves responsiveness), particularly on macOS.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Fri, 24 Jun 2022 21:53:32 +0100

rehex (0.5.0-0~ubuntu1804) bionic; urgency=low

  * Added "x86 disassembly syntax" to "View" menu to allow selecting between
    Intel or AT&T notation for x86 disassembly (#142).

  * Handle file open message used for "Open With" on macOS (#144).

  * Added --compare switch to jump straight into comparing two files (#141).

  * Fix timer leak that can cause a crash when closing the compare window or
    strings panel.

  * Add import and export functions for Intel Hex files (#102).

  * Add online help (#147).

  * Add Bitmap Data Visualisation tool (#29).

  * Add Binary Template support (#138).

  * [Emily Ellis] Save new files without the execute bit set (#154).

  * Include highlight colour names in context menu (#153).

  * Save write protect setting in rehex-meta.json (#143).

  * Fix several occasional crashes.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sat, 23 Apr 2022 15:19:07 +0100

rehex (0.4.1-0~ubuntu1804) bionic; urgency=low

  * Fixed font-dependent rendering glitches when control characters or other
    Unicode oddities were present in the text view.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Mon, 03 Jan 2022 16:55:19 +0000

rehex (0.4.0-0~ubuntu1804) bionic; urgency=low

  * Add data types for common text encodings (Unicode, ISO-8859) - text
    displayed or typed into the text view on the right will be decoded or
    encoded appropriately (#10).

  * Treat pasted text as text rather than a string of raw bytes.

  * Add 8-bit integer data types.

  * Don't mark new files as unsaved.

  * Store cursor position history and allow jumping backwards/forwards (#81).

  * Allow jumping to previous/next difference in data compare window (#131).

  * Collapse long ranges of identical data in data compare window (#85).

  * Added "Jump to offset in main window" to data compare window context menu.

  * Added shortcuts for comparing data (#103).

  * Add support for other encodings to strings tool (#106).

  * Add write protect flag to prevent accidental changes to file data during
    analysis (#130).

  * Respect system cursor blink speed setting (#112).

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Mon, 20 Dec 2021 17:44:13 +0000

rehex (0.3.92-0~ubuntu1804) bionic; urgency=low

  * Reduce persistent memory usage (#52).

  * Fully undo virtual mapping changes in one step (#126).

  * Fix build dependency errors (#129).

  * Add "Find previous" button to search dialogs (#111).

  * Fix hard-to-see colours in "Decode values" panel on some systems (#127).

  * Fix build errors on FreeBSD (#133).

  * Prevent document from jumping around when the window is resized or
    disassembly is in progress (#132).

  * Fix build errors when using wxWidgets 3.1.5 and newer.

  * Refactor selection handling to make sense in virtual section view (#125).

  * Add font face setting to "View" menu (#128).

  * Correctly track whether files have been modified since saving (#122).

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Tue, 24 Aug 2021 21:27:01 +0100

rehex (0.3.91-0~ubuntu1804) bionic; urgency=low

  * Fix loading of plugins bundled as part of an AppImage.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Mon, 03 May 2021 14:03:31 +0100

rehex (0.3.90-0~ubuntu1804) bionic; urgency=low

  * Show disassembly of machine code in the main document view (#94).

  * Add font size settings to "View" menu (#97).

  * Add float/double types to "Set data type" menu (#104).


