## rehex 0.60.1

=== Makefile ===
--- 
+++ 
@@ -59,8 +59,8 @@
 endif
 
 ifeq ($(need_compiler_flags),1)
-	WX_CXXFLAGS ?= $(call shell-or-die,$(WX_CONFIG) --cxxflags base core aui propgrid adv $(HELP_LIBS))
-	WX_LIBS     ?= $(call shell-or-die,$(WX_CONFIG) --libs     base core aui propgrid adv $(HELP_LIBS))
+	WX_CXXFLAGS ?= $(call shell-or-die,$(WX_CONFIG) --cxxflags base core aui propgrid adv net $(HELP_LIBS))
+	WX_LIBS     ?= $(call shell-or-die,$(WX_CONFIG) --libs     base core aui propgrid adv net $(HELP_LIBS))
 	
 	CAPSTONE_CFLAGS ?= $(call shell-or-die,pkg-config $(CAPSTONE_PKG) --cflags)
 	CAPSTONE_LIBS   ?= $(call shell-or-die,pkg-config $(CAPSTONE_PKG) --libs)
@@ -95,9 +95,9 @@
 	PROFILE_CFLAGS := -DREHEX_PROFILE
 endif
 
-CFLAGS          := -Wall -std=c99   -I. -Iinclude/ -IwxLua/modules/ -DREHEX_CACHE_CHARACTER_BITMAPS $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(HELP_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(CFLAGS)
-CXXFLAGS_NO_GTK := -Wall -std=c++11 -I. -Iinclude/ -IwxLua/modules/ -DREHEX_CACHE_CHARACTER_BITMAPS $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(HELP_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(CXXFLAGS)
-CXXFLAGS        := -Wall -std=c++11 -I. -Iinclude/ -IwxLua/modules/ -DREHEX_CACHE_CHARACTER_BITMAPS $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(HELP_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(GTK_CFLAGS) $(CXXFLAGS)
+CFLAGS          := -Wall -std=c99   -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/                       -DREHEX_CACHE_CHARACTER_BITMAPS $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(HELP_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(CFLAGS)
+CXXFLAGS_NO_GTK := -Wall -std=c++11 -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/ -DwxOVERRIDE=override -DREHEX_CACHE_CHARACTER_BITMAPS $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(HELP_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(CXXFLAGS)
+CXXFLAGS        := -Wall -std=c++11 -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/ -DwxOVERRIDE=override -DREHEX_CACHE_CHARACTER_BITMAPS $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(HELP_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(GTK_CFLAGS) $(CXXFLAGS)
 
 uname_S := $(shell uname -s 2>/dev/null)
 ifeq ($(uname_S),FreeBSD)
@@ -110,7 +110,7 @@
 LDLIBS := -lunistring $(WX_LIBS) $(GTK_LIBS) $(CAPSTONE_LIBS) $(JANSSON_LIBS) $(LUA_LIBS) $(LDLIBS)
 
 # Define this for releases
-VERSION := 0.5.4
+VERSION := 0.60.1
 
 ifdef VERSION
 	LONG_VERSION := Version $(VERSION)
@@ -126,8 +126,8 @@
 	
 	GIT_COMMIT_TIME ?= $(call shell-or-die,git log -1 --format="%ct")
 	
-	VERSION      := cd847ccb965b8b6de478aaf98433f5c46bd1d27f
-	LONG_VERSION := Snapshot cd847ccb965b8b6de478aaf98433f5c46bd1d27f
+	VERSION      := 26b4af2a666e2fd13466a99dd50f4d1e70177c7c
+	LONG_VERSION := Snapshot 26b4af2a666e2fd13466a99dd50f4d1e70177c7c
 endif
 
 DEPDIR := .d
@@ -234,6 +234,67 @@
 	wxLua/modules/wxbind/src/wxcore_windows.o \
 	wxLua/modules/wxbind/src/wxcore_wxlcore.o \
 	wxLua/modules/wxbind/src/wxpropgrid_bind.o
+
+WXFREECHART_OBJS := \
+	wxFreeChart/src/areadraw.o \
+	wxFreeChart/src/art.o \
+	wxFreeChart/src/axis/axis.o \
+	wxFreeChart/src/axis/categoryaxis.o \
+	wxFreeChart/src/axis/compdateaxis.o \
+	wxFreeChart/src/axis/dateaxis.o \
+	wxFreeChart/src/axis/juliandateaxis.o \
+	wxFreeChart/src/axis/labelaxis.o \
+	wxFreeChart/src/axis/logarithmicnumberaxis.o \
+	wxFreeChart/src/axis/numberaxis.o \
+	wxFreeChart/src/axisplot.o \
+	wxFreeChart/src/bars/barplot.o \
+	wxFreeChart/src/bars/barrenderer.o \
+	wxFreeChart/src/category/categorydataset.o \
+	wxFreeChart/src/category/categoryrenderer.o \
+	wxFreeChart/src/category/categorysimpledataset.o \
+	wxFreeChart/src/chart.o \
+	wxFreeChart/src/chartpanel.o \
+	wxFreeChart/src/chartsplitpanel.o \
+	wxFreeChart/src/colorscheme.o \
+	wxFreeChart/src/crosshair.o \
+	wxFreeChart/src/dataset.o \
+	wxFreeChart/src/gantt/ganttdataset.o \
+	wxFreeChart/src/gantt/ganttplot.o \
+	wxFreeChart/src/gantt/ganttrenderer.o \
+	wxFreeChart/src/gantt/ganttsimpledataset.o \
+	wxFreeChart/src/legend.o \
+	wxFreeChart/src/marker.o \
+	wxFreeChart/src/multiplot.o \
+	wxFreeChart/src/ohlc/movingaverage.o \
+	wxFreeChart/src/ohlc/ohlcbarrenderer.o \
+	wxFreeChart/src/ohlc/ohlccandlestickrenderer.o \
+	wxFreeChart/src/ohlc/ohlcdataset.o \
+	wxFreeChart/src/ohlc/ohlcplot.o \
+	wxFreeChart/src/ohlc/ohlcrenderer.o \
+	wxFreeChart/src/ohlc/ohlcsimpledataset.o \
+	wxFreeChart/src/pie/pieplot.o \
+	wxFreeChart/src/plot.o \
+	wxFreeChart/src/renderer.o \
+	wxFreeChart/src/symbol.o \
+	wxFreeChart/src/title.o \
+	wxFreeChart/src/tooltips.o \
+	wxFreeChart/src/xy/functions/polynom.o \
+	wxFreeChart/src/xy/functions/sinefunction.o \
+	wxFreeChart/src/xy/juliantimeseriesdataset.o \
+	wxFreeChart/src/xy/timeseriesdataset.o \
+	wxFreeChart/src/xy/vectordataset.o \
+	wxFreeChart/src/xy/xyarearenderer.o \
+	wxFreeChart/src/xy/xydataset.o \
+	wxFreeChart/src/xy/xydynamicdataset.o \
+	wxFreeChart/src/xy/xyhistorenderer.o \
+	wxFreeChart/src/xy/xylinerenderer.o \
+	wxFreeChart/src/xy/xyplot.o \
+	wxFreeChart/src/xy/xyrenderer.o \
+	wxFreeChart/src/xy/xysimpledataset.o \
+	wxFreeChart/src/xyz/bubbleplot.o \
+	wxFreeChart/src/xyz/xyzdataset.o \
+	wxFreeChart/src/xyz/xyzrenderer.o \
+	wxFreeChart/src/zoompan.o
 
 APP_OBJS := \
 	res/actual_size16.o \
@@ -278,8 +339,10 @@
 	src/CommentTree.o \
 	src/ConsoleBuffer.o \
 	src/ConsolePanel.o \
+	src/DataHistogramPanel.o \
 	src/DataType.o \
 	src/decodepanel.o \
+	src/DetachableNotebook.o \
 	src/DiffWindow.o \
 	src/disassemble.o \
 	src/DisassemblyRegion.o \
@@ -290,6 +353,7 @@
 	src/FillRangeDialog.o \
 	src/IntelHexExport.o \
 	src/IntelHexImport.o \
+	src/IPC.o \
 	src/LicenseDialog.o \
 	src/lua-bindings/rehex_bind.o \
 	src/lua-plugin-preload.o \
@@ -297,114 +361,11 @@
 	src/mainwindow.o \
 	src/Palette.o \
 	src/profile.o \
+	src/RangeChoiceLinear.o \
+	src/RangeDialog.o \
+	src/RangeProcessor.o \
 	src/search.o \
-	src/SelectRangeDialog.o \
 	src/StringPanel.o \
 	src/textentrydialog.o \
 	src/Tab.o \
-	src/ToolPanel.o \
-	src/util.o \
-	src/VirtualMappingDialog.o \
-	src/VirtualMappingList.o \
-	src/win32lib.o \
-	$(WXLUA_OBJS) \
-	$(WXBIND_OBJS) \
-	$(EXTRA_APP_OBJS)
-
-$(EXE): $(APP_OBJS) $(GTKCONFIG_EXE)
-	$(CXX) $(CXXFLAGS) -DLONG_VERSION='"$(LONG_VERSION)"' -DLIBDIR='"$(libdir)"' -DDATADIR='"$(datadir)"' -c -o res/version.o res/version.cpp
-	$(CXX) $(CXXFLAGS) -o $@ $(APP_OBJS) res/version.o $(LDFLAGS) $(LDLIBS)
-
-TEST_OBJS := \
-	googletest/src/gtest-all.o \
-	res/actual_size16.o \
-	res/ascii16.o \
-	res/ascii24.o \
-	res/ascii32.o \
-	res/ascii48.o \
-	res/diff_fold16.o \
-	res/diff_fold24.o \
-	res/diff_fold32.o \
-	res/diff_fold48.o \
-	res/fit_to_screen16.o \
-	res/icon16.o \
-	res/icon32.o \
-	res/icon48.o \
-	res/icon64.o \
-	res/icon128.o \
-	res/license.o \
-	res/offsets16.o \
-	res/offsets24.o \
-	res/offsets32.o \
-	res/offsets48.o \
-	res/spinner24.o \
-	res/swap_horiz16.o \
-	res/swap_vert16.o \
-	res/zoom_in16.o \
-	res/zoom_out16.o \
-	src/AboutDialog.o \
-	src/AppSettings.o \
-	src/AppTestable.o \
-	src/ArtProvider.o \
-	src/BasicDataTypes.o \
-	src/BitmapTool.o \
-	src/buffer.o \
-	src/ByteRangeSet.o \
-	src/BytesPerLineDialog.o \
-	src/CharacterEncoder.o \
-	src/CharacterFinder.o \
-	src/ClickText.o \
-	src/CommentTree.o \
-	src/ConsoleBuffer.o \
-	src/DataType.o \
-	src/DiffWindow.o \
-	src/DisassemblyRegion.o \
-	src/document.o \
-	src/DocumentCtrl.o \
-	src/EditCommentDialog.o \
-	src/Events.o \
-	src/FillRangeDialog.o \
-	src/IntelHexExport.o \
-	src/IntelHexImport.o \
-	src/LicenseDialog.o \
-	src/lua-bindings/rehex_bind.o \
-	src/lua-plugin-preload.o \
-	src/LuaPluginLoader.o \
-	src/mainwindow.o \
-	src/Palette.o \
-	src/search.o \
-	src/SelectRangeDialog.o \
-	src/StringPanel.o \
-	src/Tab.o \
-	src/textentrydialog.o \
-	src/ToolPanel.o \
-	src/util.o \
-	src/VirtualMappingDialog.o \
-	src/win32lib.o \
-	tests/BitmapTool.o \
-	tests/buffer.o \
-	tests/ByteRangeMap.o \
-	tests/ByteRangeSet.o \
-	tests/CharacterEncoder.o \
-	tests/CharacterFinder.o \
-	tests/CommentsDataObject.o \
-	tests/CommentTree.o \
-	tests/ConsoleBuffer.o \
-	tests/DiffWindow.o \
-	tests/DisassemblyRegion.o \
-	tests/Document.o \
-	tests/DocumentCtrl.o \
-	tests/endian_conv.o \
-	tests/FastRectangleFiller.o \
-	tests/IntelHexExport.o \
-	tests/IntelHexImport.o \
-	tests/LuaPluginLoader.o \
-	tests/main.o \
-	tests/NestedOffsetLengthMap.o \
-	tests/NumericTextCtrl.o \
-	tests/search-bseq.o \
-	tests/search-text.o \
-	tests/SearchBase.o \
-	tests/SearchValue.o \
-	tests/SafeWindowPointer.o \
-	tests/SharedDocumentPointer.o \
+	src/ThreadPool.o \
