=== help/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	bitmap \
 	bt \
 	bt-funcs \
+	bt-preprocessor \
 	bt-syntax \
 	bt-types \
 	comments \
