=== debian/changelog ===
rehex (0.60.1-0~ubuntu2304) lunar; urgency=low

  * Install missing parts of binary template plugin.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Fri, 28 Jul 2023 20:41:32 +0100

rehex (0.60.0-0~ubuntu2304) lunar; urgency=low

  * Add data histogram tool (#140).

  * Use virtual offsets in "Select range" dialog.

  * Don't re-open files to save when there are no changes (#193).

  * Remember recently selected templates (#183).

  * Fix crash when running rehex for the first time on some systems (#194).

  * Correctly draw insert cursor over highlighted data and at the end of the
    file (#196).

  * Fix true/false not being usable inside template functions/structs (#197).

  * Expose current array index as ArrayIndex when expanding arrays of structs
    in templates (#191).

  * Implement lexical variable scoping in templates and allow functions to
    access global variables defined above them (#190).

  * Add <charset = "XXX"> syntax to templates (#184).

  * Add character set option to text search (#182, #200).

  * Add "Delete comment and children" context menu command to delete a comment
    and any comments encapsulated by it (#198).

  * Add "Apply template from cursor" option to binary template tool.

  * Fix cases where the strings tool would appear to run forever with an empty
    file.

  * Remove strings from the strings panel when they are deleted from the file.

  * Add new ReadString(), SPrintf(), SetComment(), StringLengthBytes(),
    ArrayPush(), ArrayPop() and OffsetOf() template function.

  * Fix repeated execution of the same switch() block in a template (#202).

  * Monitor for open files being externally modified and allow reloading (#124).

  * Add 'private' variables to template language.

  * Fix template format strings that expand to further format tokens.

  * Fix template error when converting a float to an int.

  * Improve performance when large numbers of comments are defined.

  * Open original file when passed a rehex-meta file on the command line (#207).

  * Add IBM codepage 866 and Windows-1251 (#208).

  * Fix crash when attempting to open a directory/bundle on macOS.
 -- Daniel Collins <solemnwarning@solemnwarning.net>  Fri, 28 Jul 2023 19:50:46 +0100

rehex (0.5.4-0~ubuntu2304) lunar; urgency=low

  * Allow passing arguments to structs created via ArrayResize() and
    ArrayExtend() template functions.

  * Fix parsing of whitespace in template array dereference (#175).

  * Display offsets in comments panel (#165).

  * Don't show expand arrows next to comments without children in comments
    panel on Windows/macOS.

  * Improve performance of templates that declare many (thousands+) of
    variables in the file.

  * Add Error() function for templates (#186).

  * Fix crash when attempting to use string as a file variable in
    templates (#185).

  * [Pavel Martens] Add plugin for annotating pcap files.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Mon, 17 Apr 2023 19:53:09 +0100

rehex (0.5.3-0~ubuntu2210) kinetic; urgency=low

  * Correctly nest comments when updating comments panel (#169).

  * Update text in comments panel when a comment is modified.

  * Fix display of >4GiB virtual offsets in files that are <=4GiB (#170).

  * Add support for code page 437 (IBM) and 932/936/949/950 (Microsoft).

  * Fix handling of multibyte character boundaries in document view.

  * Draw wide characters in document view (#173).

  * Move forwards/backwards and select whole instructions from disassembly
    in document view.

  * Don't capture tab key press in text area of document view.

  * Add missing error checks.

  * Add number base option to "Jump to offset" dialog.

  * Drawing optimisations (improves responsiveness), particularly on macOS.

  * Fix some undefined behaviour issues.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sun, 16 Oct 2022 00:22:23 +0100

rehex (0.5.2-0~ubuntu2204) jammy; urgency=low

  * Correctly nest comments when updating comments panel (#169).

  * Update text in comments panel when a comment is modified.

  * Fix display of >4GiB virtual offsets in files that are <=4GiB (#170).

  * Add support for code page 437 (IBM) and 932/936/949/950 (Microsoft).

  * Fix handling of multibyte character boundaries in document view.

  * Draw wide characters in document view (#173).

  * Move forwards/backwards and select whole instructions from disassembly
    in document view.

  * Don't capture tab key press in text area of document view.

  * Add missing error checks.

  * Add number base option to "Jump to offset" dialog.

  * Drawing optimisations (improves responsiveness), particularly on macOS.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Fri, 24 Jun 2022 21:53:33 +0100

rehex (0.5.0-0~ubuntu2204) jammy; urgency=low

  * Added "x86 disassembly syntax" to "View" menu to allow selecting between
    Intel or AT&T notation for x86 disassembly (#142).

  * Handle file open message used for "Open With" on macOS (#144).

  * Added --compare switch to jump straight into comparing two files (#141).

  * Fix timer leak that can cause a crash when closing the compare window or
    strings panel.

  * Add import and export functions for Intel Hex files (#102).

  * Add online help (#147).

  * Add Bitmap Data Visualisation tool (#29).

  * Add Binary Template support (#138).

  * [Emily Ellis] Save new files without the execute bit set (#154).

  * Include highlight colour names in context menu (#153).

  * Save write protect setting in rehex-meta.json (#143).

  * Fix several occasional crashes.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sat, 23 Apr 2022 15:19:08 +0100

rehex (0.4.1-0~ubuntu2204) jammy; urgency=low

  * Release to jammy.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Mon, 04 Apr 2022 12:56:36 +0100
