=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Priority: extra
 Maintainer: Daniel Collins <solemnwarning@solemnwarning.net>
 Build-Depends:
+ debhelper (>= 9),
+ libbotan-2-dev,
  libcapstone-dev,
- debhelper (>= 9),
  libgtk-3-dev,
  libjansson-dev,
  libwxgtk3.2-dev,
@@ -27,6 +28,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ libbotan-2-19,
  libcapstone4,
  libjansson4,
  liblua5.3-0,
